Base Endpoint

GET https://asxenergy.com.au/api/dates

Parameters

NameTypeMandatoryDescription
futuresSTRINGYES (mutually exclusive with options)Can get data for a market code or a futures code.
Accepted Market codes:
  • au_electricity
  • nz_electricity
  • au_gas
  • au_environmental
  • nz_environmental
Accepted Futures codes:
  • Initial code. E.g. BNH, EVJ
  • Exact code. E.g. HNZ2026, GNU2025F
optionsSTRINGYES (mutually exclusive with futures)Can get data for a market code or an options code.
Accepted Market codes:
  • au_electricity
  • nz_electricity
  • au_gas
  • au_environmental
  • nz_environmental
Accepted Options codes:
  • Initial code. E.g. HNZ, EEM2025
  • Exact code. E.g. BNM2025C0016000

Note: Exactly one of futures or options must be provided in each request. If multiple parameters are specified, the request will be rejected.


CSV Support

The API supports CSV-formatted responses when requested via the Accept header. To receive data in CSV format, set the following header in your request:

Accept: text/csv

JSON Response

{
    "data": [
        "20090619",
        "20090622",
        "20090623",
        "20090624",
        // ...
        "20250212",
        "20250213",
        "20250214",
        "20250217",
        // ...
    ]
}

CSV Response

date
20130508
20130509
20130510
20130513
20130514
...